org.eclipse.eef.core.api.controllers

## Interface IEEFTextController

All Superinterfaces:
  IEEFController, IEEFWidgetController

All Known Implementing Classes:
  EEFTextController

    public interface IEEFTextController
    extends IEEFWidgetController

The EEFTextController is responsible of supporting all the interactions with the widgets created for an EEFTextDescription.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onNewValue(IConsumer<java.lang.Object> consumer)` Register a consumer which will be called with the new value of the text when it will change.
`void` `removeNewValueConsumer()` Remove the consumer of the new value of the text.
`org.eclipse.core.runtime.IStatus` `updateValue(java.lang.String text)` Update the value of the text.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### updateValue

    org.eclipse.core.runtime.IStatus updateValue(java.lang.String text)

Update the value of the text.

Parameters:
  `text` - The new value of the text
Returns:
  the status of the update execution.

#### onNewValue

    void onNewValue(IConsumer<java.lang.Object> consumer)

Register a consumer which will be called with the new value of the text when it will change. The consumer will have the responsibility to transform the given object into text

Parameters:
  `consumer` - The consumer of the new value of the text

#### removeNewValueConsumer

    void removeNewValueConsumer()

Remove the consumer of the new value of the text.